


proc update_oned_mg_cmd {what args} {
   global oned_data anno_data

   set sub1 [lindex $args 0]

   switch -- $what {
      new_win {
         V3_oned_win_cmd create xy $sub1 [OneDWin::var set width] \
                 [OneDWin::var set height] [OneDWin::var set background]
      }
      polar_win {
         V3_oned_win_cmd create polar $sub1 [OneDWin::var set width] \
                 [OneDWin::var set height] [OneDWin::var set background]
      }
      win {
         V3_oned_win_cmd select_win $oned_data(wid)
      }
      del_win {
         V3_oned_win_cmd delete_win $oned_data(wid)
      }
      ed_new {
         update_oned_mg ed_new $sub1 [lindex $args 1]
      }
      ed_win {
         eval V3_oned_win_cmd modify_win $oned_data(wid) $args
      }
      delete {
         V3_oned_win_cmd delete_plot
      }
      undelete {
         V3_oned_win_cmd undelete_plot
      }
   }
}


